#!/bin/bash

DISTRO=trixie
DEBVER=deb13
export TYPE=binary
SNAPSHOT=1;

if [ $1 ]; then
    SNAPSHOT=$1;
fi

if [ $2 ]; then
    export TYPE=$2;
    echo "Setting type to $TYPE...";
    if [ $3 ]; then
        if [ "$3" == "clean" ]; then
            debuild -- clean;
            echo "Cleaned up the source...";
        fi
    fi
fi

rm -fr ../zoneminder130*.build ../zoneminder130*.changes ../zoneminder130*.deb \
    ../zoneminder130*.buildinfo ../zoneminder130*.tar.gz ../zoneminder130*.tar.xz \
    ../zoneminder130*.dsc ../zoneminder130*.ddeb;

DATE=`date -R`

VERSION=`cat ./version`
if [ $VERSION == "" ]; then
    echo "Missing version file!";
    exit 1;
fi

rm -rf debian/tmp
rm -rf debian/zoneminder130
rm -rf obj-x86_64-linux-gnu/

cd ../
tar -czvf zoneminder130_$VERSION-$SNAPSHOT+$DEBVER.orig.tar.gz ./howtobuild.txt ./zoneminder130_release/
cd zoneminder130_release

echo "Doing $TYPE release zoneminder130_$VERSION-$SNAPSHOT+$DEBVER $DISTRO";

cat <<EOF > debian/changelog
zoneminder130 ($VERSION-$SNAPSHOT+$DEBVER) $DISTRO; urgency=medium

  * This is based on the original ZoneMinder user interface,
  * yet upgraded to work with newer versions of Debian, mariadb,
  * ffmpeg, and php.

 -- $DEBFULLNAME <$DEBEMAIL>  $DATE

EOF

if [ $TYPE == "binary" ]; then
#    debuild --no-lintian -b -k$DEBEMAIL
    dpkg-buildpackage -B -k$DEBEMAIL
elif [ $TYPE == "nostrip" ]; then
    export DEB_BUILD_OPTIONS='nostrip';
    dpkg-buildpackage -B -k$DEBEMAIL
elif [ $TYPE == "nosign" ]; then
    export DEB_BUILD_OPTIONS='nostrip';
    dpkg-buildpackage --no-sign -i -b
else
    echo "$TYPE is not a valid option!"
    exit 1
fi;

echo "Done!"

